

<ng-container *ngIf="(users$ | async) as users; else loading">
    <ng-container *ngIf="users.length; else noUsers">
        <div class="flex flex-col">
            @for (user of users; track $index) {
            <div class="bg-white flex justify-between mt-5 p-4 rounded-lg">

                <div class="flex min-w-0 gap-x-4">
                    <img class="h-12 w-12 flex-none rounded-full bg-gray-50"
                        src="https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80"
                        alt="">
                    <div class="flex flex-col gap-x-4">
                        <p class="text-sm font-semibold leading-6 text-gray-900">{{"dashboard.full_name" | transloco}} : {{user.name}}</p>
                        <p class="mt-1 truncate text-sm leading-5 text-gray-500">{{"dashboard.email" | transloco}} : {{user.email}}</p>
                        <a href="http://{{user.website}}" class="mt-1 truncate text-sm leading-5 text-gray-500" target="_blank" rel="noopener noreferrer">{{"dashboard.website" | transloco}} : {{user.website}}</a>
                    </div>
                </div>
                <div class="shrink-0 sm:flex sm:flex-col sm:items-end">

                    <a (click)="deleteUser(user.id)" class="cursor-pointer w-full rounded-md mt-5 bg-indigo-600 px-3.5 py-2.5 text-center text-sm font-semibold text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">
                        {{"dashboard.delete" | transloco}}
                    </a>

                </div>
            </div>
            }
        </div>

    </ng-container>
</ng-container>

<ng-template #loading>
    <div class="mt-8" *ngIf="!loadingUserError">
        <!-- it will be shared component -->
        Loading...
    </div>

    <ng-container *ngIf="loadingUserError">
        <!-- it will be shared component -->
        Error while loading data
    </ng-container>
</ng-template>

<ng-template #noUsers>
    <div class="mt-8">
        <!-- it will be shared component -->
        No Record found
    </div>
</ng-template>